/*===========================================================================*/
/*   (Eval/expdtrace.scm)                                                    */
/*   Bigloo (4.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 19 09:11:58 AM CET 2026     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.7a/bin/bigloo -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.7a/lib/bigloo/4.7a +rm -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -stdc -c Eval/expdtrace.scm -indent -o objs/obj_u/Eval/expdtrace.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___EXPANDER_TRACE_TYPE_DEFINITIONS
#define BGL___EXPANDER_TRACE_TYPE_DEFINITIONS
#endif													// BGL___EXPANDER_TRACE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	BGL_EXPORTED_DECL obj_t
		BGl_makezd2expandzd2withzd2tracezd2zz__expander_tracez00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__expander_tracez00 = BUNSPEC;
	extern obj_t BGl_expandzd2errorzd2zz__expandz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__expander_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2expandzd2tracezd2itemzd2zz__expander_tracez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2expandzd2whenzd2tracezd2zz__expander_tracez00(obj_t);
	extern int bgl_debug(void);
	static obj_t BGl_z62zc3z04anonymousza31284ze3ze5zz__expander_tracez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__expander_tracez00(void);
	extern int BGl_bigloozd2profilezd2zz__paramz00(void);
	static obj_t BGl_genericzd2initzd2zz__expander_tracez00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zz__expander_tracez00(void);
	static obj_t BGl_gczd2rootszd2initz00zz__expander_tracez00(void);
	static obj_t BGl_objectzd2initzd2zz__expander_tracez00(void);
	static obj_t BGl_z62zc3z04anonymousza31217ze3ze5zz__expander_tracez00(obj_t,
		obj_t, obj_t);
	extern int BGl_bigloozd2compilerzd2debugz00zz__paramz00(void);
	extern obj_t bstring_to_symbol(obj_t);
	extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t
		BGl_z62makezd2expandzd2withzd2tracezb0zz__expander_tracez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__expander_tracez00(void);
	static obj_t BGl_z62zc3z04anonymousza31170ze3ze5zz__expander_tracez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_symbol1722z00zz__expander_tracez00 = BUNSPEC;
	static obj_t BGl_symbol1724z00zz__expander_tracez00 = BUNSPEC;
	static obj_t BGl_symbol1726z00zz__expander_tracez00 = BUNSPEC;
	static obj_t BGl_symbol1728z00zz__expander_tracez00 = BUNSPEC;
	static obj_t
		BGl_z62makezd2expandzd2tracezd2itemzb0zz__expander_tracez00(obj_t, obj_t);
	static obj_t
		BGl_z62makezd2expandzd2whenzd2tracezb0zz__expander_tracez00(obj_t, obj_t);
	static obj_t BGl_symbol1733z00zz__expander_tracez00 = BUNSPEC;
	static obj_t BGl_symbol1735z00zz__expander_tracez00 = BUNSPEC;
	static obj_t BGl_symbol1737z00zz__expander_tracez00 = BUNSPEC;
	static obj_t BGl_symbol1739z00zz__expander_tracez00 = BUNSPEC;
	static obj_t BGl_symbol1741z00zz__expander_tracez00 = BUNSPEC;
	static obj_t BGl_symbol1743z00zz__expander_tracez00 = BUNSPEC;
	static obj_t BGl_symbol1747z00zz__expander_tracez00 = BUNSPEC;
	static obj_t *__cnst;


	   
		 
		BGL_DEFINE_STRING(BGl_string1719z00zz__expander_tracez00,
		BgL_bgl_string1719za700za7za7_1750za7,
		"/tmp/bigloo/runtime/Eval/expdtrace.scm", 38);
	      BGL_DEFINE_STRING(BGl_string1720z00zz__expander_tracez00,
		BgL_bgl_string1720za700za7za7_1751za7, "&make-expand-when-trace", 23);
	      BGL_DEFINE_STRING(BGl_string1721z00zz__expander_tracez00,
		BgL_bgl_string1721za700za7za7_1752za7, "symbol", 6);
	      BGL_DEFINE_STRING(BGl_string1723z00zz__expander_tracez00,
		BgL_bgl_string1723za700za7za7_1753za7, "compiler", 8);
	      BGL_DEFINE_STRING(BGl_string1725z00zz__expander_tracez00,
		BgL_bgl_string1725za700za7za7_1754za7, "trace-active?", 13);
	      BGL_DEFINE_STRING(BGl_string1727z00zz__expander_tracez00,
		BgL_bgl_string1727za700za7za7_1755za7, "begin", 5);
	      BGL_DEFINE_STRING(BGl_string1729z00zz__expander_tracez00,
		BgL_bgl_string1729za700za7za7_1756za7, "if", 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2expandzd2whenzd2tracezd2envz00zz__expander_tracez00,
		BgL_bgl_za762makeza7d2expand1757z00,
		BGl_z62makezd2expandzd2whenzd2tracezb0zz__expander_tracez00, 0L, BUNSPEC,
		1);
	      BGL_DEFINE_STRING(BGl_string1730z00zz__expander_tracez00,
		BgL_bgl_string1730za700za7za7_1758za7, "when-trace", 10);
	      BGL_DEFINE_STRING(BGl_string1731z00zz__expander_tracez00,
		BgL_bgl_string1731za700za7za7_1759za7, "Illegal form", 12);
	      BGL_DEFINE_STRING(BGl_string1732z00zz__expander_tracez00,
		BgL_bgl_string1732za700za7za7_1760za7, "&make-expand-with-trace", 23);
	      BGL_DEFINE_STRING(BGl_string1734z00zz__expander_tracez00,
		BgL_bgl_string1734za700za7za7_1761za7, "f", 1);
	      BGL_DEFINE_STRING(BGl_string1736z00zz__expander_tracez00,
		BgL_bgl_string1736za700za7za7_1762za7, "lambda", 6);
	      BGL_DEFINE_STRING(BGl_string1738z00zz__expander_tracez00,
		BgL_bgl_string1738za700za7za7_1763za7, "bigloo-debug", 12);
	      BGL_DEFINE_STRING(BGl_string1740z00zz__expander_tracez00,
		BgL_bgl_string1740za700za7za7_1764za7, ">fx", 3);
	      BGL_DEFINE_STRING(BGl_string1742z00zz__expander_tracez00,
		BgL_bgl_string1742za700za7za7_1765za7, "%with-trace", 11);
	      BGL_DEFINE_STRING(BGl_string1744z00zz__expander_tracez00,
		BgL_bgl_string1744za700za7za7_1766za7, "let", 3);
	      BGL_DEFINE_STRING(BGl_string1745z00zz__expander_tracez00,
		BgL_bgl_string1745za700za7za7_1767za7, "with-trace", 10);
	      BGL_DEFINE_STRING(BGl_string1746z00zz__expander_tracez00,
		BgL_bgl_string1746za700za7za7_1768za7, "&make-expand-trace-item", 23);
	      BGL_DEFINE_STRING(BGl_string1748z00zz__expander_tracez00,
		BgL_bgl_string1748za700za7za7_1769za7, "trace-item", 10);
	      BGL_DEFINE_STRING(BGl_string1749z00zz__expander_tracez00,
		BgL_bgl_string1749za700za7za7_1770za7, "__expander_trace", 16);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2expandzd2tracezd2itemzd2envz00zz__expander_tracez00,
		BgL_bgl_za762makeza7d2expand1771z00,
		BGl_z62makezd2expandzd2tracezd2itemzb0zz__expander_tracez00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2expandzd2withzd2tracezd2envz00zz__expander_tracez00,
		BgL_bgl_za762makeza7d2expand1772z00,
		BGl_z62makezd2expandzd2withzd2tracezb0zz__expander_tracez00, 0L, BUNSPEC,
		1);

/* contant bindings */
	static void bgl_constant_bindings()
	{
		BGL_BIND_PROCEDURE
			(BGl_makezd2expandzd2withzd2tracezd2envz00zz__expander_tracez00,
			BgL_bgl_za762makeza7d2expand1772z00);
		BGL_BIND_PROCEDURE
			(BGl_makezd2expandzd2tracezd2itemzd2envz00zz__expander_tracez00,
			BgL_bgl_za762makeza7d2expand1771z00);
		BGL_BIND_STRING(BGl_string1749z00zz__expander_tracez00,
			BgL_bgl_string1749za700za7za7_1770za7);
		BGL_BIND_STRING(BGl_string1748z00zz__expander_tracez00,
			BgL_bgl_string1748za700za7za7_1769za7);
		BGL_BIND_STRING(BGl_string1746z00zz__expander_tracez00,
			BgL_bgl_string1746za700za7za7_1768za7);
		BGL_BIND_STRING(BGl_string1745z00zz__expander_tracez00,
			BgL_bgl_string1745za700za7za7_1767za7);
		BGL_BIND_STRING(BGl_string1744z00zz__expander_tracez00,
			BgL_bgl_string1744za700za7za7_1766za7);
		BGL_BIND_STRING(BGl_string1742z00zz__expander_tracez00,
			BgL_bgl_string1742za700za7za7_1765za7);
		BGL_BIND_STRING(BGl_string1740z00zz__expander_tracez00,
			BgL_bgl_string1740za700za7za7_1764za7);
		BGL_BIND_STRING(BGl_string1738z00zz__expander_tracez00,
			BgL_bgl_string1738za700za7za7_1763za7);
		BGL_BIND_STRING(BGl_string1736z00zz__expander_tracez00,
			BgL_bgl_string1736za700za7za7_1762za7);
		BGL_BIND_STRING(BGl_string1734z00zz__expander_tracez00,
			BgL_bgl_string1734za700za7za7_1761za7);
		BGL_BIND_STRING(BGl_string1732z00zz__expander_tracez00,
			BgL_bgl_string1732za700za7za7_1760za7);
		BGL_BIND_STRING(BGl_string1731z00zz__expander_tracez00,
			BgL_bgl_string1731za700za7za7_1759za7);
		BGL_BIND_STRING(BGl_string1730z00zz__expander_tracez00,
			BgL_bgl_string1730za700za7za7_1758za7);
		BGL_BIND_PROCEDURE
			(BGl_makezd2expandzd2whenzd2tracezd2envz00zz__expander_tracez00,
			BgL_bgl_za762makeza7d2expand1757z00);
		BGL_BIND_STRING(BGl_string1729z00zz__expander_tracez00,
			BgL_bgl_string1729za700za7za7_1756za7);
		BGL_BIND_STRING(BGl_string1727z00zz__expander_tracez00,
			BgL_bgl_string1727za700za7za7_1755za7);
		BGL_BIND_STRING(BGl_string1725z00zz__expander_tracez00,
			BgL_bgl_string1725za700za7za7_1754za7);
		BGL_BIND_STRING(BGl_string1723z00zz__expander_tracez00,
			BgL_bgl_string1723za700za7za7_1753za7);
		BGL_BIND_STRING(BGl_string1721z00zz__expander_tracez00,
			BgL_bgl_string1721za700za7za7_1752za7);
		BGL_BIND_STRING(BGl_string1720z00zz__expander_tracez00,
			BgL_bgl_string1720za700za7za7_1751za7);
		BGL_BIND_STRING(BGl_string1719z00zz__expander_tracez00,
			BgL_bgl_string1719za700za7za7_1750za7);
	}

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;

		ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zz__expander_tracez00));
		ADD_ROOT((void *) (&BGl_symbol1722z00zz__expander_tracez00));
		ADD_ROOT((void *) (&BGl_symbol1724z00zz__expander_tracez00));
		ADD_ROOT((void *) (&BGl_symbol1726z00zz__expander_tracez00));
		ADD_ROOT((void *) (&BGl_symbol1728z00zz__expander_tracez00));
		ADD_ROOT((void *) (&BGl_symbol1733z00zz__expander_tracez00));
		ADD_ROOT((void *) (&BGl_symbol1735z00zz__expander_tracez00));
		ADD_ROOT((void *) (&BGl_symbol1737z00zz__expander_tracez00));
		ADD_ROOT((void *) (&BGl_symbol1739z00zz__expander_tracez00));
		ADD_ROOT((void *) (&BGl_symbol1741z00zz__expander_tracez00));
		ADD_ROOT((void *) (&BGl_symbol1743z00zz__expander_tracez00));
		ADD_ROOT((void *) (&BGl_symbol1747z00zz__expander_tracez00));
#undef ADD_ROOT
		if (roots_max > 0)
			GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__expander_tracez00(long
		BgL_checksumz00_1993, char *BgL_fromz00_1994)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__expander_tracez00))
				{
					BGl_requirezd2initializa7ationz75zz__expander_tracez00 =
						BBOOL(((bool_t) 0));
					bgl_constant_bindings();
					BGl_gczd2rootszd2initz00zz__expander_tracez00();
					BGl_cnstzd2initzd2zz__expander_tracez00();
					BGl_importedzd2moduleszd2initz00zz__expander_tracez00();
					return BGl_methodzd2initzd2zz__expander_tracez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__expander_tracez00(void)
	{
		{	/* Eval/expdtrace.scm 14 */
			BGl_symbol1722z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string1723z00zz__expander_tracez00);
			BGl_symbol1724z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string1725z00zz__expander_tracez00);
			BGl_symbol1726z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string1727z00zz__expander_tracez00);
			BGl_symbol1728z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string1729z00zz__expander_tracez00);
			BGl_symbol1733z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string1734z00zz__expander_tracez00);
			BGl_symbol1735z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string1736z00zz__expander_tracez00);
			BGl_symbol1737z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string1738z00zz__expander_tracez00);
			BGl_symbol1739z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string1740z00zz__expander_tracez00);
			BGl_symbol1741z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string1742z00zz__expander_tracez00);
			BGl_symbol1743z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string1744z00zz__expander_tracez00);
			return (BGl_symbol1747z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string1748z00zz__expander_tracez00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__expander_tracez00(void)
	{
		{	/* Eval/expdtrace.scm 14 */
			return bgl_gc_roots_register();
		}

	}



/* make-expand-when-trace */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2expandzd2whenzd2tracezd2zz__expander_tracez00(obj_t
		BgL_modez00_3)
	{
		{	/* Eval/expdtrace.scm 56 */
			{	/* Eval/expdtrace.scm 57 */
				obj_t BgL_zc3z04anonymousza31170ze3z87_1886;

				BgL_zc3z04anonymousza31170ze3z87_1886 =
					MAKE_FX_PROCEDURE
					(BGl_z62zc3z04anonymousza31170ze3ze5zz__expander_tracez00, (int) (2L),
					(int) (1L));
				PROCEDURE_SET(BgL_zc3z04anonymousza31170ze3z87_1886, (int) (0L),
					BgL_modez00_3);
				return BgL_zc3z04anonymousza31170ze3z87_1886;
			}
		}

	}



/* &make-expand-when-trace */
	obj_t BGl_z62makezd2expandzd2whenzd2tracezb0zz__expander_tracez00(obj_t
		BgL_envz00_1887, obj_t BgL_modez00_1888)
	{
		{	/* Eval/expdtrace.scm 56 */
			{	/* Eval/expdtrace.scm 57 */
				obj_t BgL_auxz00_2020;

				if (SYMBOLP(BgL_modez00_1888))
					{	/* Eval/expdtrace.scm 57 */
						BgL_auxz00_2020 = BgL_modez00_1888;
					}
				else
					{
						obj_t BgL_auxz00_2023;

						BgL_auxz00_2023 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1719z00zz__expander_tracez00, BINT(1944L),
							BGl_string1720z00zz__expander_tracez00,
							BGl_string1721z00zz__expander_tracez00, BgL_modez00_1888);
						FAILURE(BgL_auxz00_2023, BFALSE, BFALSE);
					}
				return
					BGl_makezd2expandzd2whenzd2tracezd2zz__expander_tracez00
					(BgL_auxz00_2020);
			}
		}

	}



/* &<@anonymous:1170> */
	obj_t BGl_z62zc3z04anonymousza31170ze3ze5zz__expander_tracez00(obj_t
		BgL_envz00_1889, obj_t BgL_xz00_1891, obj_t BgL_ez00_1892)
	{
		{	/* Eval/expdtrace.scm 57 */
			{	/* Eval/expdtrace.scm 57 */
				obj_t BgL_modez00_1890;

				BgL_modez00_1890 = ((obj_t) PROCEDURE_REF(BgL_envz00_1889, (int) (0L)));
				{
					obj_t BgL_levelz00_1925;
					obj_t BgL_expz00_1926;

					if (PAIRP(BgL_xz00_1891))
						{	/* Eval/expdtrace.scm 57 */
							obj_t BgL_cdrzd2109zd2_1937;

							BgL_cdrzd2109zd2_1937 = CDR(((obj_t) BgL_xz00_1891));
							if (PAIRP(BgL_cdrzd2109zd2_1937))
								{	/* Eval/expdtrace.scm 57 */
									BgL_levelz00_1925 = CAR(BgL_cdrzd2109zd2_1937);
									BgL_expz00_1926 = CDR(BgL_cdrzd2109zd2_1937);
									{	/* Eval/expdtrace.scm 60 */
										bool_t BgL_test1777z00_2037;

										{	/* Eval/expdtrace.scm 60 */
											bool_t BgL_test1778z00_2038;

											{	/* Eval/expdtrace.scm 60 */
												int BgL_arg1216z00_1927;

												BgL_arg1216z00_1927 =
													BGl_bigloozd2profilezd2zz__paramz00();
												BgL_test1778z00_2038 =
													((long) (BgL_arg1216z00_1927) == 0L);
											}
											if (BgL_test1778z00_2038)
												{	/* Eval/expdtrace.scm 60 */
													if (
														(BgL_modez00_1890 ==
															BGl_symbol1722z00zz__expander_tracez00))
														{	/* Eval/expdtrace.scm 62 */
															int BgL_arg1213z00_1928;

															BgL_arg1213z00_1928 =
																BGl_bigloozd2compilerzd2debugz00zz__paramz00();
															BgL_test1777z00_2037 =
																((long) (BgL_arg1213z00_1928) > 0L);
														}
													else
														{	/* Eval/expdtrace.scm 63 */
															int BgL_arg1215z00_1929;

															BgL_arg1215z00_1929 = bgl_debug();
															BgL_test1777z00_2037 =
																((long) (BgL_arg1215z00_1929) > 0L);
												}}
											else
												{	/* Eval/expdtrace.scm 60 */
													BgL_test1777z00_2037 = ((bool_t) 0);
												}
										}
										if (BgL_test1777z00_2037)
											{	/* Eval/expdtrace.scm 65 */
												obj_t BgL_arg1201z00_1930;

												{	/* Eval/expdtrace.scm 65 */
													obj_t BgL_arg1202z00_1931;

													{	/* Eval/expdtrace.scm 65 */
														obj_t BgL_arg1203z00_1932;
														obj_t BgL_arg1206z00_1933;

														{	/* Eval/expdtrace.scm 65 */
															obj_t BgL_arg1207z00_1934;

															BgL_arg1207z00_1934 =
																MAKE_YOUNG_PAIR(BgL_levelz00_1925, BNIL);
															BgL_arg1203z00_1932 =
																MAKE_YOUNG_PAIR
																(BGl_symbol1724z00zz__expander_tracez00,
																BgL_arg1207z00_1934);
														}
														{	/* Eval/expdtrace.scm 66 */
															obj_t BgL_arg1208z00_1935;
															obj_t BgL_arg1211z00_1936;

															BgL_arg1208z00_1935 =
																MAKE_YOUNG_PAIR
																(BGl_symbol1726z00zz__expander_tracez00,
																BgL_expz00_1926);
															BgL_arg1211z00_1936 =
																MAKE_YOUNG_PAIR(BUNSPEC, BNIL);
															BgL_arg1206z00_1933 =
																MAKE_YOUNG_PAIR(BgL_arg1208z00_1935,
																BgL_arg1211z00_1936);
														}
														BgL_arg1202z00_1931 =
															MAKE_YOUNG_PAIR(BgL_arg1203z00_1932,
															BgL_arg1206z00_1933);
													}
													BgL_arg1201z00_1930 =
														MAKE_YOUNG_PAIR
														(BGl_symbol1728z00zz__expander_tracez00,
														BgL_arg1202z00_1931);
												}
												return
													BGL_PROCEDURE_CALL2(BgL_ez00_1892,
													BgL_arg1201z00_1930, BgL_ez00_1892);
											}
										else
											{	/* Eval/expdtrace.scm 60 */
												return BUNSPEC;
											}
									}
								}
							else
								{	/* Eval/expdtrace.scm 57 */
									return
										BGl_expandzd2errorzd2zz__expandz00
										(BGl_string1730z00zz__expander_tracez00,
										BGl_string1731z00zz__expander_tracez00, BgL_xz00_1891);
								}
						}
					else
						{	/* Eval/expdtrace.scm 57 */
							return
								BGl_expandzd2errorzd2zz__expandz00
								(BGl_string1730z00zz__expander_tracez00,
								BGl_string1731z00zz__expander_tracez00, BgL_xz00_1891);
						}
				}
			}
		}

	}



/* make-expand-with-trace */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2expandzd2withzd2tracezd2zz__expander_tracez00(obj_t
		BgL_modez00_4)
	{
		{	/* Eval/expdtrace.scm 76 */
			{	/* Eval/expdtrace.scm 77 */
				obj_t BgL_zc3z04anonymousza31217ze3z87_1893;

				BgL_zc3z04anonymousza31217ze3z87_1893 =
					MAKE_FX_PROCEDURE
					(BGl_z62zc3z04anonymousza31217ze3ze5zz__expander_tracez00, (int) (2L),
					(int) (1L));
				PROCEDURE_SET(BgL_zc3z04anonymousza31217ze3z87_1893, (int) (0L),
					BgL_modez00_4);
				return BgL_zc3z04anonymousza31217ze3z87_1893;
			}
		}

	}



/* &make-expand-with-trace */
	obj_t BGl_z62makezd2expandzd2withzd2tracezb0zz__expander_tracez00(obj_t
		BgL_envz00_1894, obj_t BgL_modez00_1895)
	{
		{	/* Eval/expdtrace.scm 76 */
			{	/* Eval/expdtrace.scm 77 */
				obj_t BgL_auxz00_2071;

				if (SYMBOLP(BgL_modez00_1895))
					{	/* Eval/expdtrace.scm 77 */
						BgL_auxz00_2071 = BgL_modez00_1895;
					}
				else
					{
						obj_t BgL_auxz00_2074;

						BgL_auxz00_2074 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1719z00zz__expander_tracez00, BINT(2579L),
							BGl_string1732z00zz__expander_tracez00,
							BGl_string1721z00zz__expander_tracez00, BgL_modez00_1895);
						FAILURE(BgL_auxz00_2074, BFALSE, BFALSE);
					}
				return
					BGl_makezd2expandzd2withzd2tracezd2zz__expander_tracez00
					(BgL_auxz00_2071);
			}
		}

	}



/* &<@anonymous:1217> */
	obj_t BGl_z62zc3z04anonymousza31217ze3ze5zz__expander_tracez00(obj_t
		BgL_envz00_1896, obj_t BgL_xz00_1898, obj_t BgL_ez00_1899)
	{
		{	/* Eval/expdtrace.scm 77 */
			{	/* Eval/expdtrace.scm 77 */
				obj_t BgL_modez00_1897;

				BgL_modez00_1897 = ((obj_t) PROCEDURE_REF(BgL_envz00_1896, (int) (0L)));
				{
					obj_t BgL_levelz00_1939;
					obj_t BgL_lblz00_1940;
					obj_t BgL_argza2za2_1941;

					if (PAIRP(BgL_xz00_1898))
						{	/* Eval/expdtrace.scm 77 */
							obj_t BgL_cdrzd2126zd2_1970;

							BgL_cdrzd2126zd2_1970 = CDR(((obj_t) BgL_xz00_1898));
							if (PAIRP(BgL_cdrzd2126zd2_1970))
								{	/* Eval/expdtrace.scm 77 */
									obj_t BgL_cdrzd2131zd2_1971;

									BgL_cdrzd2131zd2_1971 = CDR(BgL_cdrzd2126zd2_1970);
									if (PAIRP(BgL_cdrzd2131zd2_1971))
										{	/* Eval/expdtrace.scm 77 */
											BgL_levelz00_1939 = CAR(BgL_cdrzd2126zd2_1970);
											BgL_lblz00_1940 = CAR(BgL_cdrzd2131zd2_1971);
											BgL_argza2za2_1941 = CDR(BgL_cdrzd2131zd2_1971);
											{	/* Eval/expdtrace.scm 80 */
												bool_t BgL_test1784z00_2091;

												{	/* Eval/expdtrace.scm 80 */
													bool_t BgL_test1785z00_2092;

													{	/* Eval/expdtrace.scm 80 */
														int BgL_arg1283z00_1942;

														BgL_arg1283z00_1942 =
															BGl_bigloozd2profilezd2zz__paramz00();
														BgL_test1785z00_2092 =
															((long) (BgL_arg1283z00_1942) == 0L);
													}
													if (BgL_test1785z00_2092)
														{	/* Eval/expdtrace.scm 80 */
															if (
																(BgL_modez00_1897 ==
																	BGl_symbol1722z00zz__expander_tracez00))
																{	/* Eval/expdtrace.scm 82 */
																	int BgL_arg1281z00_1943;

																	BgL_arg1281z00_1943 =
																		BGl_bigloozd2compilerzd2debugz00zz__paramz00
																		();
																	BgL_test1784z00_2091 =
																		((long) (BgL_arg1281z00_1943) > 0L);
																}
															else
																{	/* Eval/expdtrace.scm 83 */
																	int BgL_arg1282z00_1944;

																	BgL_arg1282z00_1944 = bgl_debug();
																	BgL_test1784z00_2091 =
																		((long) (BgL_arg1282z00_1944) > 0L);
														}}
													else
														{	/* Eval/expdtrace.scm 80 */
															BgL_test1784z00_2091 = ((bool_t) 0);
														}
												}
												if (BgL_test1784z00_2091)
													{	/* Eval/expdtrace.scm 85 */
														obj_t BgL_fz00_1945;

														BgL_fz00_1945 =
															BGl_gensymz00zz__r4_symbols_6_4z00
															(BGl_symbol1733z00zz__expander_tracez00);
														{	/* Eval/expdtrace.scm 85 */
															obj_t BgL_nxz00_1946;

															{	/* Eval/expdtrace.scm 86 */
																obj_t BgL_arg1239z00_1947;

																{	/* Eval/expdtrace.scm 86 */
																	obj_t BgL_arg1241z00_1948;
																	obj_t BgL_arg1242z00_1949;

																	{	/* Eval/expdtrace.scm 86 */
																		obj_t BgL_arg1248z00_1950;

																		{	/* Eval/expdtrace.scm 86 */
																			obj_t BgL_arg1249z00_1951;

																			{	/* Eval/expdtrace.scm 86 */
																				obj_t BgL_arg1252z00_1952;

																				{	/* Eval/expdtrace.scm 86 */
																					obj_t BgL_arg1253z00_1953;

																					{	/* Eval/expdtrace.scm 86 */
																						obj_t BgL_arg1254z00_1954;

																						{	/* Eval/expdtrace.scm 86 */
																							obj_t BgL_arg1258z00_1955;

																							BgL_arg1258z00_1955 =
																								MAKE_YOUNG_PAIR
																								(BGl_symbol1726z00zz__expander_tracez00,
																								BgL_argza2za2_1941);
																							BgL_arg1254z00_1954 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1258z00_1955, BNIL);
																						}
																						BgL_arg1253z00_1953 =
																							MAKE_YOUNG_PAIR(BNIL,
																							BgL_arg1254z00_1954);
																					}
																					BgL_arg1252z00_1952 =
																						MAKE_YOUNG_PAIR
																						(BGl_symbol1735z00zz__expander_tracez00,
																						BgL_arg1253z00_1953);
																				}
																				BgL_arg1249z00_1951 =
																					MAKE_YOUNG_PAIR(BgL_arg1252z00_1952,
																					BNIL);
																			}
																			BgL_arg1248z00_1950 =
																				MAKE_YOUNG_PAIR(BgL_fz00_1945,
																				BgL_arg1249z00_1951);
																		}
																		BgL_arg1241z00_1948 =
																			MAKE_YOUNG_PAIR(BgL_arg1248z00_1950,
																			BNIL);
																	}
																	{	/* Eval/expdtrace.scm 87 */
																		obj_t BgL_arg1259z00_1956;

																		{	/* Eval/expdtrace.scm 87 */
																			obj_t BgL_arg1261z00_1957;

																			{	/* Eval/expdtrace.scm 87 */
																				obj_t BgL_arg1262z00_1958;
																				obj_t BgL_arg1263z00_1959;

																				{	/* Eval/expdtrace.scm 87 */
																					obj_t BgL_arg1265z00_1960;

																					{	/* Eval/expdtrace.scm 87 */
																						obj_t BgL_arg1266z00_1961;
																						obj_t BgL_arg1267z00_1962;

																						BgL_arg1266z00_1961 =
																							MAKE_YOUNG_PAIR
																							(BGl_symbol1737z00zz__expander_tracez00,
																							BNIL);
																						BgL_arg1267z00_1962 =
																							MAKE_YOUNG_PAIR(BINT(0L), BNIL);
																						BgL_arg1265z00_1960 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1266z00_1961,
																							BgL_arg1267z00_1962);
																					}
																					BgL_arg1262z00_1958 =
																						MAKE_YOUNG_PAIR
																						(BGl_symbol1739z00zz__expander_tracez00,
																						BgL_arg1265z00_1960);
																				}
																				{	/* Eval/expdtrace.scm 88 */
																					obj_t BgL_arg1269z00_1963;
																					obj_t BgL_arg1271z00_1964;

																					{	/* Eval/expdtrace.scm 88 */
																						obj_t BgL_arg1274z00_1965;

																						{	/* Eval/expdtrace.scm 88 */
																							obj_t BgL_arg1276z00_1966;

																							{	/* Eval/expdtrace.scm 88 */
																								obj_t BgL_arg1278z00_1967;

																								BgL_arg1278z00_1967 =
																									MAKE_YOUNG_PAIR(BgL_fz00_1945,
																									BNIL);
																								BgL_arg1276z00_1966 =
																									MAKE_YOUNG_PAIR
																									(BgL_lblz00_1940,
																									BgL_arg1278z00_1967);
																							}
																							BgL_arg1274z00_1965 =
																								MAKE_YOUNG_PAIR
																								(BgL_levelz00_1939,
																								BgL_arg1276z00_1966);
																						}
																						BgL_arg1269z00_1963 =
																							MAKE_YOUNG_PAIR
																							(BGl_symbol1741z00zz__expander_tracez00,
																							BgL_arg1274z00_1965);
																					}
																					{	/* Eval/expdtrace.scm 89 */
																						obj_t BgL_arg1279z00_1968;

																						BgL_arg1279z00_1968 =
																							MAKE_YOUNG_PAIR(BgL_fz00_1945,
																							BNIL);
																						BgL_arg1271z00_1964 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1279z00_1968, BNIL);
																					}
																					BgL_arg1263z00_1959 =
																						MAKE_YOUNG_PAIR(BgL_arg1269z00_1963,
																						BgL_arg1271z00_1964);
																				}
																				BgL_arg1261z00_1957 =
																					MAKE_YOUNG_PAIR(BgL_arg1262z00_1958,
																					BgL_arg1263z00_1959);
																			}
																			BgL_arg1259z00_1956 =
																				MAKE_YOUNG_PAIR
																				(BGl_symbol1728z00zz__expander_tracez00,
																				BgL_arg1261z00_1957);
																		}
																		BgL_arg1242z00_1949 =
																			MAKE_YOUNG_PAIR(BgL_arg1259z00_1956,
																			BNIL);
																	}
																	BgL_arg1239z00_1947 =
																		MAKE_YOUNG_PAIR(BgL_arg1241z00_1948,
																		BgL_arg1242z00_1949);
																}
																BgL_nxz00_1946 =
																	MAKE_YOUNG_PAIR
																	(BGl_symbol1743z00zz__expander_tracez00,
																	BgL_arg1239z00_1947);
															}
															{	/* Eval/expdtrace.scm 86 */

																return
																	BGL_PROCEDURE_CALL2(BgL_ez00_1899,
																	BgL_nxz00_1946, BgL_ez00_1899);
															}
														}
													}
												else
													{	/* Eval/expdtrace.scm 91 */
														obj_t BgL_arg1280z00_1969;

														BgL_arg1280z00_1969 =
															MAKE_YOUNG_PAIR
															(BGl_symbol1726z00zz__expander_tracez00,
															BgL_argza2za2_1941);
														return BGL_PROCEDURE_CALL2(BgL_ez00_1899,
															BgL_arg1280z00_1969, BgL_ez00_1899);
													}
											}
										}
									else
										{	/* Eval/expdtrace.scm 77 */
											return
												BGl_expandzd2errorzd2zz__expandz00
												(BGl_string1745z00zz__expander_tracez00,
												BGl_string1731z00zz__expander_tracez00, BgL_xz00_1898);
										}
								}
							else
								{	/* Eval/expdtrace.scm 77 */
									return
										BGl_expandzd2errorzd2zz__expandz00
										(BGl_string1745z00zz__expander_tracez00,
										BGl_string1731z00zz__expander_tracez00, BgL_xz00_1898);
								}
						}
					else
						{	/* Eval/expdtrace.scm 77 */
							return
								BGl_expandzd2errorzd2zz__expandz00
								(BGl_string1745z00zz__expander_tracez00,
								BGl_string1731z00zz__expander_tracez00, BgL_xz00_1898);
						}
				}
			}
		}

	}



/* make-expand-trace-item */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2expandzd2tracezd2itemzd2zz__expander_tracez00(obj_t
		BgL_modez00_5)
	{
		{	/* Eval/expdtrace.scm 98 */
			{	/* Eval/expdtrace.scm 99 */
				obj_t BgL_zc3z04anonymousza31284ze3z87_1900;

				BgL_zc3z04anonymousza31284ze3z87_1900 =
					MAKE_FX_PROCEDURE
					(BGl_z62zc3z04anonymousza31284ze3ze5zz__expander_tracez00, (int) (2L),
					(int) (1L));
				PROCEDURE_SET(BgL_zc3z04anonymousza31284ze3z87_1900, (int) (0L),
					BgL_modez00_5);
				return BgL_zc3z04anonymousza31284ze3z87_1900;
			}
		}

	}



/* &make-expand-trace-item */
	obj_t BGl_z62makezd2expandzd2tracezd2itemzb0zz__expander_tracez00(obj_t
		BgL_envz00_1901, obj_t BgL_modez00_1902)
	{
		{	/* Eval/expdtrace.scm 98 */
			{	/* Eval/expdtrace.scm 99 */
				obj_t BgL_auxz00_2151;

				if (SYMBOLP(BgL_modez00_1902))
					{	/* Eval/expdtrace.scm 99 */
						BgL_auxz00_2151 = BgL_modez00_1902;
					}
				else
					{
						obj_t BgL_auxz00_2154;

						BgL_auxz00_2154 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1719z00zz__expander_tracez00, BINT(3318L),
							BGl_string1746z00zz__expander_tracez00,
							BGl_string1721z00zz__expander_tracez00, BgL_modez00_1902);
						FAILURE(BgL_auxz00_2154, BFALSE, BFALSE);
					}
				return
					BGl_makezd2expandzd2tracezd2itemzd2zz__expander_tracez00
					(BgL_auxz00_2151);
			}
		}

	}



/* &<@anonymous:1284> */
	obj_t BGl_z62zc3z04anonymousza31284ze3ze5zz__expander_tracez00(obj_t
		BgL_envz00_1903, obj_t BgL_xz00_1905, obj_t BgL_ez00_1906)
	{
		{	/* Eval/expdtrace.scm 99 */
			{	/* Eval/expdtrace.scm 100 */
				obj_t BgL_modez00_1904;

				BgL_modez00_1904 = ((obj_t) PROCEDURE_REF(BgL_envz00_1903, (int) (0L)));
				{	/* Eval/expdtrace.scm 100 */
					bool_t BgL_test1788z00_2162;

					{	/* Eval/expdtrace.scm 100 */
						bool_t BgL_test1789z00_2163;

						{	/* Eval/expdtrace.scm 100 */
							int BgL_arg1341z00_1972;

							BgL_arg1341z00_1972 = BGl_bigloozd2profilezd2zz__paramz00();
							BgL_test1789z00_2163 = ((long) (BgL_arg1341z00_1972) == 0L);
						}
						if (BgL_test1789z00_2163)
							{	/* Eval/expdtrace.scm 100 */
								if (
									(BgL_modez00_1904 == BGl_symbol1722z00zz__expander_tracez00))
									{	/* Eval/expdtrace.scm 102 */
										int BgL_arg1338z00_1973;

										BgL_arg1338z00_1973 =
											BGl_bigloozd2compilerzd2debugz00zz__paramz00();
										BgL_test1788z00_2162 = ((long) (BgL_arg1338z00_1973) > 0L);
									}
								else
									{	/* Eval/expdtrace.scm 103 */
										int BgL_arg1339z00_1974;

										BgL_arg1339z00_1974 = bgl_debug();
										BgL_test1788z00_2162 = ((long) (BgL_arg1339z00_1974) > 0L);
							}}
						else
							{	/* Eval/expdtrace.scm 100 */
								BgL_test1788z00_2162 = ((bool_t) 0);
							}
					}
					if (BgL_test1788z00_2162)
						{	/* Eval/expdtrace.scm 105 */
							obj_t BgL_arg1295z00_1975;

							{	/* Eval/expdtrace.scm 105 */
								obj_t BgL_arg1296z00_1976;
								obj_t BgL_arg1298z00_1977;

								{	/* Eval/expdtrace.scm 105 */
									obj_t BgL_arg1301z00_1978;

									{	/* Eval/expdtrace.scm 105 */
										obj_t BgL_arg1322z00_1979;
										obj_t BgL_arg1329z00_1980;

										BgL_arg1322z00_1979 =
											MAKE_YOUNG_PAIR(BGl_symbol1737z00zz__expander_tracez00,
											BNIL);
										BgL_arg1329z00_1980 = MAKE_YOUNG_PAIR(BINT(0L), BNIL);
										BgL_arg1301z00_1978 =
											MAKE_YOUNG_PAIR(BgL_arg1322z00_1979, BgL_arg1329z00_1980);
									}
									BgL_arg1296z00_1976 =
										MAKE_YOUNG_PAIR(BGl_symbol1739z00zz__expander_tracez00,
										BgL_arg1301z00_1978);
								}
								{	/* Eval/expdtrace.scm 106 */
									obj_t BgL_arg1330z00_1981;
									obj_t BgL_arg1331z00_1982;

									{	/* Eval/expdtrace.scm 106 */
										obj_t BgL_arg1332z00_1983;

										{	/* Eval/expdtrace.scm 106 */
											obj_t BgL_l1080z00_1984;

											BgL_l1080z00_1984 = CDR(((obj_t) BgL_xz00_1905));
											if (NULLP(BgL_l1080z00_1984))
												{	/* Eval/expdtrace.scm 106 */
													BgL_arg1332z00_1983 = BNIL;
												}
											else
												{	/* Eval/expdtrace.scm 106 */
													obj_t BgL_head1082z00_1985;

													BgL_head1082z00_1985 = MAKE_YOUNG_PAIR(BNIL, BNIL);
													{
														obj_t BgL_l1080z00_1987;
														obj_t BgL_tail1083z00_1988;

														BgL_l1080z00_1987 = BgL_l1080z00_1984;
														BgL_tail1083z00_1988 = BgL_head1082z00_1985;
													BgL_zc3z04anonymousza31334ze3z87_1986:
														if (NULLP(BgL_l1080z00_1987))
															{	/* Eval/expdtrace.scm 106 */
																BgL_arg1332z00_1983 = CDR(BgL_head1082z00_1985);
															}
														else
															{	/* Eval/expdtrace.scm 106 */
																obj_t BgL_newtail1084z00_1989;

																{	/* Eval/expdtrace.scm 106 */
																	obj_t BgL_arg1337z00_1990;

																	{	/* Eval/expdtrace.scm 106 */
																		obj_t BgL_xz00_1991;

																		BgL_xz00_1991 =
																			CAR(((obj_t) BgL_l1080z00_1987));
																		BgL_arg1337z00_1990 =
																			BGL_PROCEDURE_CALL2(BgL_ez00_1906,
																			BgL_xz00_1991, BgL_ez00_1906);
																	}
																	BgL_newtail1084z00_1989 =
																		MAKE_YOUNG_PAIR(BgL_arg1337z00_1990, BNIL);
																}
																SET_CDR(BgL_tail1083z00_1988,
																	BgL_newtail1084z00_1989);
																{	/* Eval/expdtrace.scm 106 */
																	obj_t BgL_arg1336z00_1992;

																	BgL_arg1336z00_1992 =
																		CDR(((obj_t) BgL_l1080z00_1987));
																	{
																		obj_t BgL_tail1083z00_2200;
																		obj_t BgL_l1080z00_2199;

																		BgL_l1080z00_2199 = BgL_arg1336z00_1992;
																		BgL_tail1083z00_2200 =
																			BgL_newtail1084z00_1989;
																		BgL_tail1083z00_1988 = BgL_tail1083z00_2200;
																		BgL_l1080z00_1987 = BgL_l1080z00_2199;
																		goto BgL_zc3z04anonymousza31334ze3z87_1986;
																	}
																}
															}
													}
												}
										}
										BgL_arg1330z00_1981 =
											MAKE_YOUNG_PAIR(BGl_symbol1747z00zz__expander_tracez00,
											BgL_arg1332z00_1983);
									}
									BgL_arg1331z00_1982 = MAKE_YOUNG_PAIR(BUNSPEC, BNIL);
									BgL_arg1298z00_1977 =
										MAKE_YOUNG_PAIR(BgL_arg1330z00_1981, BgL_arg1331z00_1982);
								}
								BgL_arg1295z00_1975 =
									MAKE_YOUNG_PAIR(BgL_arg1296z00_1976, BgL_arg1298z00_1977);
							}
							return
								MAKE_YOUNG_PAIR(BGl_symbol1728z00zz__expander_tracez00,
								BgL_arg1295z00_1975);
						}
					else
						{	/* Eval/expdtrace.scm 100 */
							return BUNSPEC;
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__expander_tracez00(void)
	{
		{	/* Eval/expdtrace.scm 14 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__expander_tracez00(void)
	{
		{	/* Eval/expdtrace.scm 14 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__expander_tracez00(void)
	{
		{	/* Eval/expdtrace.scm 14 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__expander_tracez00(void)
	{
		{	/* Eval/expdtrace.scm 14 */
			BGl_modulezd2initializa7ationz75zz__errorz00(88804785L,
				BSTRING_TO_STRING(BGl_string1749z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(348684831L,
				BSTRING_TO_STRING(BGl_string1749z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(135276775L,
				BSTRING_TO_STRING(BGl_string1749z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__structurez00(128205792L,
				BSTRING_TO_STRING(BGl_string1749z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(443005284L,
				BSTRING_TO_STRING(BGl_string1749z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(289561787L,
				BSTRING_TO_STRING(BGl_string1749z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__objectz00(475449627L,
				BSTRING_TO_STRING(BGl_string1749z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__threadz00(149516032L,
				BSTRING_TO_STRING(BGl_string1749z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(26840973L,
				BSTRING_TO_STRING(BGl_string1749z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(457511469L,
				BSTRING_TO_STRING(BGl_string1749z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(362050511L,
				BSTRING_TO_STRING(BGl_string1749z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00
				(268155843L, BSTRING_TO_STRING(BGl_string1749z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(198620800L,
				BSTRING_TO_STRING(BGl_string1749z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(111613887L,
				BSTRING_TO_STRING(BGl_string1749z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(459519430L,
				BSTRING_TO_STRING(BGl_string1749z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(115192690L,
				BSTRING_TO_STRING(BGl_string1749z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00((-44273703L),
				BSTRING_TO_STRING(BGl_string1749z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(9614678L,
				BSTRING_TO_STRING(BGl_string1749z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(376927882L,
				BSTRING_TO_STRING(BGl_string1749z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(43892022L,
				BSTRING_TO_STRING(BGl_string1749z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(185672289L,
				BSTRING_TO_STRING(BGl_string1749z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(86988580L,
				BSTRING_TO_STRING(BGl_string1749z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__prognz00(177147622L,
				BSTRING_TO_STRING(BGl_string1749z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__paramz00(453939141L,
				BSTRING_TO_STRING(BGl_string1749z00zz__expander_tracez00));
			return BGl_modulezd2initializa7ationz75zz__expandz00(414007149L,
				BSTRING_TO_STRING(BGl_string1749z00zz__expander_tracez00));
		}

	}

#ifdef __cplusplus
}
#endif
